Subject: Re: [PATCH 02/34] Add t1510 and basic rules that run repo setup

From: Jonathan Nieder <[email-masked]>
Date: Wed, 27 Oct 2010 11:30:47 -0500

Nguyen Thai Ngoc Duy wrote:
> 2010/10/27 Nguyễn Thái Ngọc Duy <[email-masked]>:

>> +# 2. .git file is relative to git_dir. .git file is basically symlink
>> +#    in disguise.
>
> This is not completely followed in my tests. If .git is a true
> symlink, its link is relative to .git itself. When .git is a file, it
> would be more difficult to calculate path relative to .git (you can't
> chdir to a file).

I'm not sure I understand:

 git init repo
 cd repo
 mv .git .git.real
 ln -s .git.real .git

The path ".git.real" is relative to "repo/", not "repo/.git/", no?
 
In other words, I don't you think you have to worry --- the test

> In my tests, the link is relative to .git's parent
> directory, not .git.

seems right.